summaryrefslogtreecommitdiffstats
path: root/kernel/networking/libvirt/netperf-server/runtest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kernel/networking/libvirt/netperf-server/runtest.sh')
-rwxr-xr-xkernel/networking/libvirt/netperf-server/runtest.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/kernel/networking/libvirt/netperf-server/runtest.sh b/kernel/networking/libvirt/netperf-server/runtest.sh
new file mode 100755
index 0000000..6f60d50
--- /dev/null
+++ b/kernel/networking/libvirt/netperf-server/runtest.sh
@@ -0,0 +1,34 @@
+#!/bin/bash -x
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /kernel/networking/ping
+# Description: pings both $VALID_ADDRS and $INVALID_ADDRS, verifies connectivity
+# Author: Bill Peck <bpeck@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+
+service iptables stop
+nohup netserver -4 &
+sleep 10